package br.com.centralit.api.dao;

import java.util.List;

import br.com.centralit.api.model.CentroResultadoDelegacao;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 30/06/2015 - 14:10:25
 * 
 * @version 1.0.0
 * 
 * @author lucas.ribeiro - (<a href="mailto:lucas.ribeiro@centralit.com.br">lucas.ribeiro@centralit.com.br</a>)
 * 
 */
public interface CentroResultadoDelegacaoDao extends CitGenericDAO {

	public List<CentroResultadoDelegacao> buscaHistoricoDelegacoes(Long idCentroResultado);

	public List<CentroResultadoDelegacao> buscaHistoricoDelegacoesUsuario(Long idUsuario);

	/**
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por verificar se ja existe delegacao para o delegado selecionado para a alcada e o periodo selecionado
	 *
	 * @author renato.jesus
	 *
	 * @param centroResultadoDelegacao
	 * @return
	 */
	public boolean existeDelegacaoParaDelegadoNaAlcadaENoPeriodoSeleciona(CentroResultadoDelegacao centroResultadoDelegacao);

}
