package br.com.centralit.api.dao;

import br.com.centralit.api.model.Alcada;
import br.com.centralit.api.model.CentroResultado;
import br.com.centralit.api.model.NivelAutoridade;
import br.com.centralit.api.model.SolicitacaoAlcada;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;
import br.com.centralit.framework.model.Dominio;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p> *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 18/06/2015 - 16:57:15
 *
 * @version 1.0.0
 *
 * @author lucas.ribeiro - (<a href="mailto:lucas.centralit@gmail.com">lucas.centralit@gmail.com</a>)
 *	
 */
public interface SolicitacaoAlcadaDao extends CitGenericDAO {
	
	public Float getValorAcumulado(final Integer ano, final Integer mes, final Alcada alcada, final CentroResultado centroResultado, Dominio tipoUtilizacao, NivelAutoridade nivelAutoridade);

	public SolicitacaoAlcada recuperaPeloIdentificador(Alcada alcada, String identificadorOrigem);

}
