package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.framework.json.ViewsAlcada;
import br.com.centralit.api.model.LimiteAprovacao;
import br.com.centralit.api.service.LimiteAprovacaoService;
import br.com.centralit.framework.controller.GenericController;
import br.com.centralit.framework.json.Views;
import br.com.centralit.framework.json.Views.GenericView;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 18/06/2015 - 16:58:03
 *
 * @version 1.0.0
 *
 * @author lucas.ribeiro - (<a href="mailto:lucas.ribeiro@centralit.com.br">lucas.ribeiro@centralit.com.br</a>)
 *	
 */
@Controller
@RequestMapping("/rest/limiteAprovacao")
public class LimiteAprovacaoController extends GenericController<LimiteAprovacao>{

	@Autowired
	public LimiteAprovacaoController(LimiteAprovacaoService limiteAprovacaoService) {
		super(limiteAprovacaoService);
	}
	
	@Override
	public Class<? extends Views.GenericView> getEditView() {
		return ViewsAlcada.LimiteAprovacaoView.class;
	}

	@Override
	public Class<? extends GenericView> getListView() {
		return ViewsAlcada.LimiteAprovacaoView.class;
	}
}
