
/* Nova verso da View, incluso da coluna virtual delegacao com os valores "S/N". Tratar concatenao
IF NOT EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_centroresultadoresponsavel]'))
   EXEC sp_executesql concat(N'CREATE VIEW [dbo].[vw_centroresultadoresponsavel]
                        AS
                        SELECT dbo.Alcada.identificador AS alcada, dbo.CentroResultado.codigoSistemaOrigem AS centro_resultado, dbo.seguranca_usuario.username AS usuario, 
                               dbo.CentroResultadoResponsavel.dataCriacao AS data_inicio, dbo.CentroResultadoResponsavel.dataInativo AS data_inativo, 
                               dbo.NivelAutoridade.nome AS nivel_autoridade, ', N'N', N' as delegacao
                        FROM   dbo.CentroResultadoResponsavel INNER JOIN
                               dbo.CentroResultado ON dbo.CentroResultado.id = dbo.CentroResultadoResponsavel.centroResultado_id INNER JOIN
                               dbo.CentroResultadoResponsavelAlcada ON 
                               dbo.CentroResultadoResponsavelAlcada.centroResultadoResponsavel_id = dbo.CentroResultadoResponsavel.id INNER JOIN
                               dbo.Alcada ON dbo.Alcada.id = dbo.CentroResultadoResponsavelAlcada.alcada_id INNER JOIN
                               dbo.Parceiro ON dbo.Parceiro.id = dbo.CentroResultadoResponsavel.responsavel_id INNER JOIN
                               dbo.Pessoa ON dbo.Pessoa.id = dbo.Parceiro.pessoa_id INNER JOIN
                               dbo.seguranca_usuario ON dbo.seguranca_usuario.id = dbo.Pessoa.usuario_id INNER JOIN
                               dbo.AlcadaNivelAutoridade ON dbo.AlcadaNivelAutoridade.alcada_id = dbo.Alcada.id INNER JOIN
                               dbo.NivelAutoridade ON dbo.NivelAutoridade.id = dbo.AlcadaNivelAutoridade.nivelAutoridade_id
                        WHERE  dbo.NivelAutoridade.hierarquia =
                               (SELECT MIN(t1.hierarquia)
                                FROM   dbo.NivelAutoridade t1 INNER JOIN
                                       dbo.AlcadaNivelAutoridade t2 ON t2.nivelautoridade_id = t1.id AND t2.alcada_id = Alcada.id INNER JOIN
                                       dbo.NivelAutoridadeGrupo t3 ON t3.nivelAutoridade_id = t1.id INNER JOIN
                                       dbo.GrupoUsuario t4 ON t4.usuario_id = seguranca_usuario.id AND t4.grupo_id = t3.grupo_id
                        where t2.datainativo is null and t3.datainativo is null and t4.datainativo is null)
                        and AlcadaNivelAutoridade.dataInativo is null
                        UNION ALL
                        SELECT dbo.Alcada.identificador AS alcada, dbo.CentroResultado.codigoSistemaOrigem AS centro_resultado, dbo.seguranca_usuario.username AS usuario, 
                               dbo.centroresultadodelegacao.datainiciodelegacao AS data_inicio, coalesce(centroresultadodelegacao.datarevogacao,centroresultadodelegacao.datafimdelegacao) AS data_inativo, 
                               dbo.NivelAutoridade.nome AS nivel_autoridade, ', N'S', N' as delegacao
                        FROM   dbo.centroresultadodelegacao INNER JOIN
                               dbo.CentroResultadoResponsavelAlcada ON 
                               dbo.centroresultadodelegacao.centroResultadoResponsavelAlcada_id = CentroResultadoResponsavelAlcada.id INNER JOIN
                               dbo.CentroResultadoResponsavel ON dbo.CentroResultadoResponsavel.id = dbo.CentroResultadoResponsavelAlcada.centroresultadoresponsavel_id INNER JOIN
                               dbo.CentroResultado ON dbo.CentroResultado.id = dbo.CentroResultadoResponsavel.centroResultado_id INNER JOIN
                               dbo.Alcada ON dbo.Alcada.id = dbo.CentroResultadoResponsavelAlcada.alcada_id INNER JOIN
                               dbo.Parceiro ON dbo.Parceiro.id = dbo.centroresultadodelegacao.delegado_id INNER JOIN
                               dbo.Pessoa ON dbo.Pessoa.id = dbo.Parceiro.pessoa_id INNER JOIN
                               dbo.seguranca_usuario ON dbo.seguranca_usuario.id = dbo.Pessoa.usuario_id INNER JOIN
                               dbo.AlcadaNivelAutoridade ON dbo.AlcadaNivelAutoridade.alcada_id = dbo.Alcada.id INNER JOIN
                               dbo.NivelAutoridade ON dbo.NivelAutoridade.id = dbo.AlcadaNivelAutoridade.nivelAutoridade_id INNER JOIN
                               dbo.Parceiro parc ON parc.id = dbo.centroresultadoresponsavel.responsavel_id INNER JOIN
                               dbo.Pessoa pes ON pes.id = parc.pessoa_id
                        WHERE  dbo.NivelAutoridade.hierarquia =
                               (SELECT MIN(t1.hierarquia)
                                FROM   dbo.NivelAutoridade t1 INNER JOIN
                                       dbo.AlcadaNivelAutoridade t2 ON t2.nivelautoridade_id = t1.id AND t2.alcada_id = Alcada.id INNER JOIN
                                       dbo.NivelAutoridadeGrupo t3 ON t3.nivelAutoridade_id = t1.id INNER JOIN
                                       dbo.GrupoUsuario t4 ON t4.usuario_id = pes.usuario_id AND t4.grupo_id = t3.grupo_id
                        where t2.datainativo is null and t3.datainativo is null and t4.datainativo is null)
                        and AlcadaNivelAutoridade.dataInativo is null')
GO
*/

ALTER VIEW [dbo].[vw_centroresultadoresponsavel]
AS
SELECT dbo.Alcada.identificador AS alcada, dbo.CentroResultado.codigoSistemaOrigem AS centro_resultado, dbo.seguranca_usuario.username AS usuario, 
       dbo.CentroResultadoResponsavel.dataCriacao AS data_inicio, dbo.CentroResultadoResponsavel.dataInativo AS data_inativo, 
       dbo.NivelAutoridade.nome AS nivel_autoridade, 'N' as delegacao
FROM   dbo.CentroResultadoResponsavel INNER JOIN
       dbo.CentroResultado ON dbo.CentroResultado.id = dbo.CentroResultadoResponsavel.centroResultado_id INNER JOIN
       dbo.CentroResultadoResponsavelAlcada ON 
       dbo.CentroResultadoResponsavelAlcada.centroResultadoResponsavel_id = dbo.CentroResultadoResponsavel.id INNER JOIN
       dbo.Alcada ON dbo.Alcada.id = dbo.CentroResultadoResponsavelAlcada.alcada_id INNER JOIN
       dbo.Parceiro ON dbo.Parceiro.id = dbo.CentroResultadoResponsavel.responsavel_id INNER JOIN
       dbo.Pessoa ON dbo.Pessoa.id = dbo.Parceiro.pessoa_id INNER JOIN
       dbo.seguranca_usuario ON dbo.seguranca_usuario.id = dbo.Pessoa.usuario_id INNER JOIN
       dbo.AlcadaNivelAutoridade ON dbo.AlcadaNivelAutoridade.alcada_id = dbo.Alcada.id INNER JOIN
       dbo.NivelAutoridade ON dbo.NivelAutoridade.id = dbo.AlcadaNivelAutoridade.nivelAutoridade_id
WHERE  dbo.NivelAutoridade.hierarquia =
       (SELECT MIN(t1.hierarquia)
        FROM   dbo.NivelAutoridade t1 INNER JOIN
               dbo.AlcadaNivelAutoridade t2 ON t2.nivelautoridade_id = t1.id AND t2.alcada_id = Alcada.id INNER JOIN
               dbo.NivelAutoridadeGrupo t3 ON t3.nivelAutoridade_id = t1.id INNER JOIN
               dbo.GrupoUsuario t4 ON t4.usuario_id = seguranca_usuario.id AND t4.grupo_id = t3.grupo_id
where t2.datainativo is null and t3.datainativo is null and t4.datainativo is null)
and AlcadaNivelAutoridade.dataInativo is null
UNION ALL
SELECT dbo.Alcada.identificador AS alcada, dbo.CentroResultado.codigoSistemaOrigem AS centro_resultado, dbo.seguranca_usuario.username AS usuario, 
       dbo.centroresultadodelegacao.datainiciodelegacao AS data_inicio, coalesce(centroresultadodelegacao.datarevogacao,centroresultadodelegacao.datafimdelegacao) AS data_inativo, 
       dbo.NivelAutoridade.nome AS nivel_autoridade, 'S'  as delegacao
FROM   dbo.centroresultadodelegacao INNER JOIN
       dbo.CentroResultadoResponsavelAlcada ON 
       dbo.centroresultadodelegacao.centroResultadoResponsavelAlcada_id = CentroResultadoResponsavelAlcada.id INNER JOIN
       dbo.CentroResultadoResponsavel ON dbo.CentroResultadoResponsavel.id = dbo.CentroResultadoResponsavelAlcada.centroresultadoresponsavel_id INNER JOIN
       dbo.CentroResultado ON dbo.CentroResultado.id = dbo.CentroResultadoResponsavel.centroResultado_id INNER JOIN
       dbo.Alcada ON dbo.Alcada.id = dbo.CentroResultadoResponsavelAlcada.alcada_id INNER JOIN
       dbo.Parceiro ON dbo.Parceiro.id = dbo.centroresultadodelegacao.delegado_id INNER JOIN
       dbo.Pessoa ON dbo.Pessoa.id = dbo.Parceiro.pessoa_id INNER JOIN
       dbo.seguranca_usuario ON dbo.seguranca_usuario.id = dbo.Pessoa.usuario_id INNER JOIN
       dbo.AlcadaNivelAutoridade ON dbo.AlcadaNivelAutoridade.alcada_id = dbo.Alcada.id INNER JOIN
       dbo.NivelAutoridade ON dbo.NivelAutoridade.id = dbo.AlcadaNivelAutoridade.nivelAutoridade_id INNER JOIN
       dbo.Parceiro parc ON parc.id = dbo.centroresultadoresponsavel.responsavel_id INNER JOIN
       dbo.Pessoa pes ON pes.id = parc.pessoa_id
WHERE  dbo.NivelAutoridade.hierarquia =
       (SELECT MIN(t1.hierarquia)
        FROM   dbo.NivelAutoridade t1 INNER JOIN
               dbo.AlcadaNivelAutoridade t2 ON t2.nivelautoridade_id = t1.id AND t2.alcada_id = Alcada.id INNER JOIN
               dbo.NivelAutoridadeGrupo t3 ON t3.nivelAutoridade_id = t1.id INNER JOIN
               dbo.GrupoUsuario t4 ON t4.usuario_id = pes.usuario_id AND t4.grupo_id = t3.grupo_id
where t2.datainativo is null and t3.datainativo is null and t4.datainativo is null)
and AlcadaNivelAutoridade.dataInativo is null
GO