'use strict';

citApp.factory('AlcadaRepository', ['RestangularTabelasCorp', 'AbstractRepository', function (restangularTabelasCorp, AbstractRepository) {

    function AlcadaRepository() {
    	AbstractRepository.call(this, restangularTabelasCorp, 'rest/alcada');
    	
    	this.listarAlcadas = function(nome) {
        return restangularTabelasCorp.one('rest/alcada').getList("listarAlcadas", {"nome": nome}).then();
      }; 
    	
    }

    AbstractRepository.extend(AlcadaRepository);

    return new AlcadaRepository();
}]);
