'use strict';

citApp.factory('CentroResultadoSubstituicaoRepository', ['RestangularAlcada', 'AbstractRepository', function (restangularAlcada, AbstractRepository) {

    function CentroResultadoSubstituicaoRepository() {
    	AbstractRepository.call(this, restangularAlcada, 'rest/centroResultadoSubstituicao');
    	    	
    	this.buscaHistoricoSubstituicoes = function(value) {
    		return restangularAlcada.one(this.route + "/buscaHistoricoSubstituicoes").get({idCentroResultado : value}).then();
    	};
    }

    AbstractRepository.extend(CentroResultadoSubstituicaoRepository);

    return new CentroResultadoSubstituicaoRepository();
}]);
