package br.com.centralit.api.dao;

import java.util.List;

import br.com.centralit.api.model.Alcada;
import br.com.centralit.api.model.LimiteAprovacaoAlcada;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 30/06/2015 - 13:55:59
 *
 * @version 1.0.0
 *
 * @author lucas.ribeiro - (<a href="mailto:lucas.ribeiro@centralit.com.br">lucas.ribeiro@centralit.com.br</a>)
 *	
 */
public interface LimiteAprovacaoAlcadaDao extends CitGenericDAO {
	
	/**
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por retornar todos os limites de aprovação de uma determinada alçada
	 *
	 * @author Carlos
	 *
	 * @param alcada
	 * @return
	 */
	public List<LimiteAprovacaoAlcada> findByAlcada(Alcada alcada);
	
}
