package br.com.centralit.api.dao.impl;

import java.util.List;

import org.springframework.stereotype.Repository;

import br.com.centralit.api.dao.LimiteAprovacaoAlcadaDao;
import br.com.centralit.api.model.Alcada;
import br.com.centralit.api.model.LimiteAprovacaoAlcada;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAOImpl;
import br.com.centralit.framework.dao.arquitetura.SearchSeven;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 30/06/2015 - 13:55:55
 * 
 * @version 1.0.0
 * 
 * @author lucas.ribeiro - (<a href="mailto:lucas.ribeiro@centralit.com.br">lucas.ribeiro@centralit.com.br</a>)
 * 
 */
@Repository("limiteAprovacaoAlcadaDao")
public class LimiteAprovacaoAlcadaDaoHibernate extends CitGenericDAOImpl implements LimiteAprovacaoAlcadaDao {

	public LimiteAprovacaoAlcadaDaoHibernate() {

		super(LimiteAprovacaoAlcada.class);
	}

	@Override
	public List<LimiteAprovacaoAlcada> findByAlcada(Alcada alcada) {

		SearchSeven search = new SearchSeven();

		search.addFilterEqual("alcada", alcada);

		search.addFilterEmpty("dataInativo");

		return this.search(search, LimiteAprovacaoAlcada.class);
	}
}
