package br.com.centralit.api.model;

import java.io.Serializable;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 18/06/2015 - 16:57:20
 *
 * @version 1.0.0
 *
 * @author lucas.ribeiro - (<a href="mailto:lucas.ribeiro@centralit.com.br">lucas.ribeiro@centralit.com.br</a>)
 *	
 */
public class ValorAcumulado implements Serializable {

    /** Atributo serialVersionUID. */
    private static final long serialVersionUID = 1L;

    private NivelAutoridade nivelAutoridade;
    
    private float valor;
    
    private boolean rejeitado;
    
    public ValorAcumulado(NivelAutoridade nivelAutoridade) {
    	this.nivelAutoridade = nivelAutoridade;
    	this.valor = 0;
    	this.rejeitado = false;
    }
    	
	/**
	 * Retorna o valor do atributo <code>valor</code>
	 *
	 * @return <code>Float</code>
	 */
	public float getValor() {
	
		return valor;
	}

	
	/**
	 * Define o valor do atributo <code>valor</code>.
	 *
	 * @param valor 
	 */
	public void setValor(float valor) {
	
		this.valor = valor;
	}

	
	/**
	 * Retorna o valor do atributo <code>nivelAutoridade</code>
	 *
	 * @return <code>NivelAutoridade</code>
	 */
	public NivelAutoridade getNivelAutoridade() {
	
		return nivelAutoridade;
	}

	
	/**
	 * Define o valor do atributo <code>nivelAutoridade</code>.
	 *
	 * @param nivelAutoridade 
	 */
	public void setNivelAutoridade(NivelAutoridade nivelAutoridade) {
	
		this.nivelAutoridade = nivelAutoridade;
	}


	
	/**
	 * Retorna o valor do atributo <code>rejeitado</code>
	 *
	 * @return <code>boolean</code>
	 */
	public boolean isRejeitado() {
	
		return rejeitado;
	}

	
	/**
	 * Define o valor do atributo <code>rejeitado</code>.
	 *
	 * @param rejeitado 
	 */
	public void setRejeitado(boolean rejeitado) {
	
		this.rejeitado = rejeitado;
	}
	

}
