package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.CentroResultadoResponsavelAlcada;
import br.com.centralit.api.service.CentroResultadoResponsavelAlcadaService;
import br.com.centralit.framework.controller.GenericController;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 30/06/2015 - 14:08:44
 *
 * @version 1.0.0
 *
 * @author lucas.ribeiro - (<a href="mailto:lucas.ribeiro@centralit.com.br">lucas.ribeiro@centralit.com.br</a>)
 *	
 */
@Controller
@RequestMapping("/rest/centroResultadoResponsavelAlcada")
public class CentroResultadoResponsavelAlcadaController extends GenericController<CentroResultadoResponsavelAlcada>{

	private CentroResultadoResponsavelAlcadaService centroResultadoResponsavelAlcadaService;
	
	@Autowired
	public CentroResultadoResponsavelAlcadaController(CentroResultadoResponsavelAlcadaService centroResultadoResponsavelAlcadaService) {
		super(centroResultadoResponsavelAlcadaService);
		this.centroResultadoResponsavelAlcadaService = centroResultadoResponsavelAlcadaService;
	}
	
}