'use strict';

citApp.factory('CentroResultadoAlcadaResponsavelRepository', ['RestangularAlcada', 'AbstractRepository', function (restangularAlcada, AbstractRepository) {

    function CentroResultadoAlcadaResponsavelRepository() {
    	AbstractRepository.call(this, restangularAlcada, 'rest/centroResultadoAlcadaResponsavel');   
    	
    	this.buscaHistoricoResponsaveis = function(value) {
    		return restangularAlcada.one(this.route + "/buscaHistoricoResponsaveis").get({idCentroResultado : value}).then();
    	};
    }

    AbstractRepository.extend(CentroResultadoAlcadaResponsavelRepository);

    return new CentroResultadoAlcadaResponsavelRepository();
}]);
