'use strict';

citApp.factory('CentroResultadoResponsavelRepository', ['RestangularAlcada', 'AbstractRepository', function (restangularAlcada, AbstractRepository) {

    function CentroResultadoResponsavelRepository() {
    	AbstractRepository.call(this, restangularAlcada, 'rest/centroResultadoResponsavel');   
    	
    	this.buscaHistoricoResponsaveis = function(value) {
    		return restangularAlcada.one(this.route + "/buscaHistoricoResponsaveis").get({idCentroResultado : value}).then();
    	};
    	this.removeById = function(value) {
    		return restangularAlcada.one(this.route, value).remove();
    	};
    }

    AbstractRepository.extend(CentroResultadoResponsavelRepository);

    return new CentroResultadoResponsavelRepository();
}]);
